diff options
author | Karl Berry <karl@freefriends.org> | 2013-06-27 16:31:52 +0000 |
---|---|---|
committer | Karl Berry <karl@freefriends.org> | 2013-06-27 16:31:52 +0000 |
commit | d44ded1db743bde915c9777d65bd2f695c153618 (patch) | |
tree | 7f451056beb29d59a48ee32a9d4227bf5848a1d0 /Master/texmf-dist/doc/latex/ctable/inst | |
parent | ed725d5c234420505cc81dafaf4dd600a0c4b000 (diff) |
ctable (16jun13)
git-svn-id: svn://tug.org/texlive/trunk@30980 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/doc/latex/ctable/inst')
-rwxr-xr-x | Master/texmf-dist/doc/latex/ctable/inst | 17 |
1 files changed, 11 insertions, 6 deletions
diff --git a/Master/texmf-dist/doc/latex/ctable/inst b/Master/texmf-dist/doc/latex/ctable/inst index 7c5a60a8651..afdd96cd19b 100755 --- a/Master/texmf-dist/doc/latex/ctable/inst +++ b/Master/texmf-dist/doc/latex/ctable/inst @@ -19,7 +19,7 @@ function help { Usage: inst [option] Options: -h, --help Print this help - -c, --clean Clean up, but keep $NAME.{sty,pdf} + -c, --clean Clean up, but keep $NAME.{sty,pdf} and README -C, --Clean Clean up all files that can be regenerated -z, --zip Create zip for CTAN (developer only) EOD @@ -32,7 +32,7 @@ function clean { } function Clean { clean - rm -f {$NAME,doc/*}.{sty,cls,pdf} + rm -f {$NAME,doc/*}.{sty,cls,pdf} README } function makeall { @@ -77,8 +77,15 @@ function makeall { echo $NAME successfully installed fi texlog_extract $NAME + readme } +function readme { # generate the README file + sed -n "/^%<\*readme>/,/^%<\/readme>/p;/\\\\changes{v$version}/,/^% }/p" $NAME.dtx | + sed "s/^%//;s/\\\\\\\\$//;/<.readme>/d;/^ }/d;s/ \\\\changes.*/Changes in version $version:/" >README +} + + function mkzip { # is cvs up to date? cvs -Q status 2>&1 |grep Status:|grep -v Up-to-date @@ -111,9 +118,6 @@ function mkzip { cvs-date: $cvsdate EOD - # is README updated? - grep "v$version relative to" README >/dev/null || die README not updated - quitting... - # normally packdate and cvsdate are equal, because I make the zip right after updating CVS: if [ $packdate != $cvsdate ]; then echo package and cvs dates differ @@ -129,6 +133,7 @@ function mkzip { echo " created: $zip" } +version=`grep " v[0-9.]\+ $NAME package" $NAME.dtx |sed 's/.* v\([0-9.]\+\) .*/\1/' ` if ! options=$(getopt -o hcCz \ -l help,clean,Clean,zip -- "$@"); then exit 1; fi @@ -148,5 +153,5 @@ done makeall -# $Id: inst,v 1.31 2013/04/28 12:25:00 wybo Exp $ +# $Id: inst,v 1.33 2013/06/14 21:12:34 wybo Exp $ |